Bug 487622 - Designer plugins for KDE widgets is in -devel package
Designer plugins for KDE widgets is in -devel package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 487842
  Show dependency treegraph
 
Reported: 2009-02-26 22:09 EST by Ben Boeckel
Modified: 2009-07-28 14:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: 4.2.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-02-26 22:09:02 EST
Description of problem:
The plugins for KDE widgets for Qt Designer are installed with the -devel package of kdelibs. This will cause apps that load .ui files at runtime (typically Python programs that utilize .ui files, or apps that load at runtime) that use KDE widgets to fail to load if there is not a runtime dependency on kdelibs-devel (which is...not pleasant for most users I'd think).

Actual results:
Widget plugins for KDE widgets are contained in the -devel package.

Expected results:
Either a separate subpackage or contained in the base kdelibs package.
Comment 1 Kevin Kofler 2009-02-26 23:19:50 EST
This also affects these plugins in qt-devel:
/usr/lib/qt4/plugins/designer/libarthurplugin.so
/usr/lib/qt4/plugins/designer/libcontainerextension.so
/usr/lib/qt4/plugins/designer/libcustomwidgetplugin.so
/usr/lib/qt4/plugins/designer/libqt3supportwidgets.so
/usr/lib/qt4/plugins/designer/libqwebview.so
/usr/lib/qt4/plugins/designer/libtaskmenuextension.so
/usr/lib/qt4/plugins/designer/libworldtimeclockplugin.so
Comment 2 Ben Boeckel 2009-02-27 15:56:32 EST
Here's a better explanation for why these should be in the runtime packages instead of the -devel packages:

When a .ui file is loaded at runtime (using QUiLoader from QtUiTools), it uses the designer plugins to construct widgets that are not native to Qt's ui loading (similar to how the <customwidgets> works when using uic). I ran into this problem when running sigmodr (from sigen) and it required the kdewidgets plugin to exist (so it could load KLineEdit, KComboBox, and other KDE widgets). Any Python apps that use KDE widgets and load at .ui files at runtime would need to require kdelibs-devel and/or qt-devel, not the best of options for end users.
Comment 3 Rex Dieter 2009-02-27 16:00:14 EST
Alright, from irc discussion, looks like the idea here is to simply move anything matching
%_libdir/qt4/plugins/designer/*.so
%_libdir/kde4/plugins/designer/*.so
from -devel pkgs to the (main) runtime ones.

Should be doable without too much fuss.

So far, I count affected packages as (at least): 
qt,  PyQt4, qwt
kdelibs, kdebase-workspace

may have to do a repoquery at some point.
Comment 4 Rex Dieter 2009-03-04 10:51:55 EST
qt's designer plugins will be included in qt-x11-4.5.0-3
Comment 5 Rex Dieter 2009-03-04 14:09:24 EST
PyQt4-4.4.4-5 fixed too
Comment 6 Rex Dieter 2009-03-04 14:12:04 EST
kdelibs-4.2.1-4
Comment 7 Rex Dieter 2009-03-04 14:16:02 EST
kdebase-workspace-4.2.1-3
Comment 8 Rex Dieter 2009-03-04 14:18:15 EST
Frank, mind fixing up qwt accordingly (or mind if I fix it)?
Comment 9 Fedora Update System 2009-03-06 07:52:32 EST
PyQt4-4.4.4-5.fc10,qt-4.4.3-15.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/PyQt4-4.4.4-5.fc10,qt-4.4.3-15.fc10
Comment 10 Fedora Update System 2009-03-06 07:53:18 EST
PyQt4-4.4.4-5.fc9,qt-4.4.3-15.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/PyQt4-4.4.4-5.fc9,qt-4.4.3-15.fc9
Comment 11 Fedora Update System 2009-03-09 18:46:32 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-4.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdegraphics kdepim kdebase-workspace akonadi kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdelibs kde-l10n kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys phonon strigi kio_sysinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2438
Comment 12 Fedora Update System 2009-03-09 18:53:09 EDT
PyQt4-4.4.4-5.fc10, qt-4.4.3-15.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PyQt4 qt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2478
Comment 13 Fedora Update System 2009-03-11 14:04:35 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-4.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdegraphics kdepim kdebase-workspace akonadi kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdelibs kde-l10n kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys phonon strigi kio_sysinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2438
Comment 14 Fedora Update System 2009-03-13 14:37:56 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-7.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdegraphics kdepim kdebase-workspace akonadi kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdelibs kde-l10n kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys phonon strigi kio_sysinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2438
Comment 15 Fedora Update System 2009-03-13 14:38:42 EDT
PyQt4-4.4.4-5.fc10, qt-4.4.3-15.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-03-13 14:43:22 EDT
PyQt4-4.4.4-5.fc9, qt-4.4.3-15.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Kevin Kofler 2009-03-13 15:02:54 EDT
Back to ON_QA until the KDE parts go stable as well.
Comment 18 Fedora Update System 2009-03-16 15:40:35 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-7.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-03-16 15:50:50 EDT
akonadi-1.1.1-6.fc9, kdeutils-4.2.1-3.fc9.2, kdegraphics-4.2.1-3.fc9, kdebase-workspace-4.2.1-7.fc9, kdeaccessibility-4.2.1-1.fc9, kdeadmin-4.2.1-1.fc9, kdeartwork-4.2.1-1.fc9, kdebase-4.2.1-2.fc9, kdebase-runtime-4.2.1-2.fc9, kdebindings-4.2.1-1.fc9, kdeedu-4.2.1-1.fc9, kdegames-4.2.1-1.fc9, kdelibs-4.2.1-4.fc9, kde-l10n-4.2.1-1.fc9, kdemultimedia-4.2.1-1.fc9, kdenetwork-4.2.1-1.fc9, kdepimlibs-4.2.1-1.fc9, kdeplasma-addons-4.2.1-1.fc9, kdesdk-4.2.1-1.fc9, kdetoys-4.2.1-1.fc9, phonon-4.3.1-2.fc9, strigi-0.6.4-3.fc9, kio_sysinfo-20090216-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-07-26 04:45:32 EDT
kdelibs3-3.5.10-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdelibs3-3.5.10-13.fc10
Comment 21 Fedora Update System 2009-07-28 14:28:18 EDT
kdelibs3-3.5.10-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.